# SourcePath: mtd-utils/20110713dev
Summary: Utilities for dealing with MTD (flash) devices
Name: sony-target-dev-mtd-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-mtd-utils
Version: 1.4.5
Release: 08000201
Source: mtd-utils-%{version}.tar.gz
Url: http://www.linux-mtd.infradead.org/
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-zlib

%define _sbindir         %{sony_target_dir}%{sony_target_dev_sbin_dir}
%define _mandir          %{sony_target_dir}%{sony_target_dev_man_dir}

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%package -n %{pkgname}
Summary: Utilities for dealing with MTD (flash) devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%prep
%setup -n mtd-utils-%{version} -q


%build
%sony_target_dev_setup
make CROSS="%{sony_target_toolprefix}" CC="${CC}" CFLAGS="-g -O2 -I./include"


%install
%sony_target_dev_setup

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_man_dir}/man1

make CROSS="%{sony_target_toolprefix}" CC="${CC}" CFLAGS="-g -O2 -I./include" \
DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{_sbindir}/*


%changelog
* Wed Nov 30 2016 Sony Corporation
- Initial build for 8.0.2.0.

* Wed Jul 13 2011 Sony Corporation
- Version Update 1.0.0 -> 1.4.5

* Mon Apr 20 2009 Sony Corporation
- Updated to 6.x

* Fri May 18 2007 Sony Corporation
- Initial build.
